GET
/api/Subscriptions
const url = 'https://example.com/api/Subscriptions?Status=Trial';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/Subscriptions?Status=Trial' \ --header 'Authorization: Bearer <token>'Returns a paginated list of subscriptions for a merchant. Supports filtering by member, plan, and status.
GET /api/subscriptions?merchantId=...&status=Active&page=1Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” MerchantId
string format: uuid
MemberId
string format: uuid
PlanId
string format: uuid
Status
string
Page
integer format: int32
PageSize
integer format: int32
Responses
Section titled “ Responses ”Paginated list of subscriptions.
Media type application/json
object
items
Array<object>
object
id
string format: uuid
memberId
string format: uuid
memberName
string
memberEmail
string
planId
string format: uuid
planName
string
planPrice
number format: double
planFrequency
string
status
string
nextBillingDate
string format: date-time
nextBillingAmount
number format: double
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "items": [ { "planFrequency": "OneOff", "status": "Trial" } ]}